---
apiVersion: v1
automountServiceAccountToken: true
kind: ServiceAccount
metadata:
  name: {{ .Release.Name }}
  labels:
    {{- include "chart.labels" . | nindent 4 }}
  annotations:
    kubernetes.io/enforce-mountable-secrets: "true"
secrets:
  - name: {{ .Release.Name }}-admin
  - name: {{ .Release.Name }}-egress-tls
  - name: {{ .Release.Name }}-otel-tls
  - name: keycloak-{{ .Release.Name }}
